load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/popRemap.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl" 
load "$NCARG_ROOT/lib/ncarg/nclscripts/contrib/calendar_decode2.ncl"

begin


g1=addfile("FLDS_index_awland_55N_11e.nc", "r")
index1=g1->index


g2=addfile("FSNS_index_awland_55N_11e.nc", "r")
index2=g2->index

g3=addfile("LHFLX_index_awland_55N_11e.nc", "r")
index3=g3->index
index3=-index3

g4=addfile("SHFLX_index_awland_55N_11e.nc", "r")
index4=g4->index
index4=-index4

g5=addfile("FLNS_index_awland_55N_11e.nc", "r")
index5=g5->index

index5=index5+index1

g6=addfile("LWCFSFC_index_awland_55N_11e.nc", "r")
;g6=addfile("LWCFSFC_index_awland_11e.nc", "r")
index6=g6->index

index7 = index6
index7=index1 - index6

index1=index1-index1(0)
index2=index2-index2(0)
index3=index3-index3(0)
index4=index4-index4(0)
index5=index5-index5(0)
index6=index6-index6(0)
index7=index7-index7(0)

y1=new((/7,dimsizes(index1)/), typeof(index1))
y1(0,:)=index6 ;LWCRF
y1(1,:)=index7 ;FLDSC 
y1(2,:)=index2 ;SW 
y1(3,:)=index3+index4 ;latent+sensible 
y1(4,:)=index5 ; upwelling LW 
y1(5,:)=-index7 + index5 ; clearsky net surface (postive up)


;f0=addfile("CLDLOW_index_coldextreme_awland_55N_11e.nc", "r")
f0=addfile("CLDLOW_index_awland_55N_11e.nc", "r")
y2=f0->index
y2=y2-y2(0)


f2=addfile("TS_index_ocean_new.nc", "r")
xx=f2->index

wks = gsn_open_wks("eps","cloudiness-and-energy-budget-mean-55N")         ; send graphics to PNG file



  res               = True                   ; plot mods desired
  ;res@trYMinF                     = 0 
  ;res@trYMaxF = 1.  
  ;res@gsnYRefLine           = 0.0            ; create a reference line
 ; res@gsnDraw  = False                          ; don't draw
 ; res@gsnFrame = False 


   res@xyMarkLineMode= "Markers"
   res@xyLineThicknessF = 5.0

 res@xyMarkers         =  2    
; xx=(/0,5,10,15,20/)
   ;res@tmXBMode   = "Explicit"
   ; res@xyDashPattern  = 0                         ; Make curves all solid

  ;res@tmXBValues = (/0,5,10,15,20/)     
  ;res@tmXBLabels = (/0,5,10,15,20/)



  ;res@tmXMajorGrid                = True          ; implement x grid 
  ;res@tmXMajorGridThicknessF      = 1.0           ; 2.0 is default
  ;res@tmXMajorGridLineDashPattern = 2             ; select short dash lines
  
  ;res@tmYMajorGrid                = True          ; implement y grid
  ;res@tmYMajorGridThicknessF      = 1.0           ; 2.0 is default
  ;res@tmYMajorGridLineDashPattern = 2             ; select short dash lines


  res@trYMinF  = -40.0                   ; min value on y-axis
  res@trYMaxF  = 200.0                   ; max value on y-axis
  ;res@trXMinF  = -10.0                   ; min value on y-axis
  ;res@trXMaxF  = 20.0                   ; max value on y-axis

;  res@vpWidthF        = 0.7     
;  res@vpHeightF       = 0.5 


res@gsnStringFont = "helvetica"
;res@lbLabelFont = "helvetica"
res@tmYLLabelFont = "helvetica"
res@tmXBLabelFont = "helvetica"
res@tiXAxisFont =  "helvetica"
res@tiYAxisFont =  "helvetica"
res@tiMainFont =  "helvetica"

res@tiMainString=""
res@tiYAxisString= "Surface flux (W/m~S~2~N~)"
res@gsnCenterString = ""
res@gsnLeftString="Winter mean"
res@gsnRightString="Difference from PI"
res@tiXAxisString="TS over ocean (degC)"

res@gsnStringFontHeightF = 0.028
res@tmXBLabelFontHeightF = 0.030
res@tmYLLabelFontHeightF = 0.030
;res@lbLabelFontHeightF = 0.030
res@tiXAxisFontHeightF = 0.030
res@tiYAxisFontHeightF = 0.030
res@tiMainFontHeightF = 0.030

 res@xyMarkerSizeF     = 0.02        

res@gsnYRefLine = 0

res@xyMarkerColors=(/"red","orange","green","blue","black","purple"/)
 res@xyMarker         =  2  

 res@xyMarkerSizeF     = 0.03                     ; Marker size (default 0.01)

res2=True
res2@xyMarker         =  5
   res2@xyMarkLineMode= "Markers"
res2@xyMarkerColor = "deepskyblue"
      res2@xyLineThicknessF = 5.0
 res2@tiYAxisString="Low cloud fraction"
    res2@trYMinF  = -0.2                   ; min value on y-axis
  res2@trYMaxF  = 1.                   ; max value on y-axis
  res2@gsnStringFont = "helvetica"
;res@lbLabelFont = "helvetica"
res2@tmYLLabelFont = "helvetica"
res2@tmYRLabelFont = "helvetica"
res2@tmXBLabelFont = "helvetica"
res2@tiXAxisFont =  "helvetica"
res2@tiYAxisFont =  "helvetica"
res2@tiMainFont =  "helvetica"
 res2@xyMarkerSizeF     = 0.03                     ; Marker size (default 0.01)

 res2@gsnStringFontHeightF = 0.030
res2@tmXBLabelFontHeightF = 0.030
res2@tmYLLabelFontHeightF = 0.030
;res2@lbLabelFontHeightF = 0.030
res2@tiXAxisFontHeightF = 0.030
res2@tiYAxisFontHeightF = 0.030
res2@tiMainFontHeightF = 0.030
  plot = gsn_csm_xy2(wks,xx,y1,y2, res, res2) 

end 